%!TEX root=../../../../thesis.tex
%!TEX file=content/fundamentals/dynamics/forward-dynamics/drives.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsubsection{Drives}\label{sec:fundamentals:dynamics:forward-dynamics:drives}


A \caro's dynamics model may further be extended to incorporate the dynamics of the drive train, both the electrical as well as the mechanical parts~(see~\cref{fig:fundamentals:mechatronic-system-representation}) as shown in~\parencite{Tempel.2015d,Tempel.2015e,Miermeister.2010b}.
On the mechanical side of things, winch mechanics affect the total length of both unstrained and strained cable length for that the cable is not guided directly from the drum to the mobile platform.
In most cases, we can find a~(non)linear function mapping the platform pose into a relative displacement of the winch and all internal guiding mechanisms such that we can calculate the free cable length contained within the winch.
However, this is a purely kinematics based approach and does not consider any frictional losses of cable tension along the guiding mechanisms nor does it provide insight into how much the cable is strained.
The kinematics formulation only provides for the geometric cable length contained within the winch.

Taking the drive train modeling one step further integrates the winch dynamics into the overall system dynamics \textIe considering the drum winding position~$\actuang$ and its time derivative~$\dotactuang$ a system state subject to rotational dynamics
%
\begin{align*}
  \inertia_{\subdrum} \,
  \ddotactuang
    & = \transmission_{\subservo} \,
        \torque*_{\subservo}
        +
        \radius_{\subdrum} \,
        \cabforce_{\cabindex}
        +
        \torque*_{\subfriction} \,
        ,
\end{align*}
%
with~$\torque*_{\subservo}$ the servo drive generated torque via transmission with ratio~$\transmission_{\subservo}$, cable induced torque~$\radius_{\subdrum} \, \cabforce_{\cabindex}$, and dynamic frictional force~$\torque*_{\subfriction}$, valid only if static friction torque is overcome by all active torques.

On the electrical part of the \caro system, a cascaded controller for position, velocity, and current control is implemented inside the servo drive of the physical system and can likewise be implemented in the simulation model.
The servo motor in use is a permanent magnetic synchronous motor for which the dynamics can be modeled using field orientated control~\autocite{Quang.2015}.
In the end, we obtain an \gls{ODE} in the motor current for the rotational torque generated by the servo motor.
Since this thesis does not concern itself with the drive dynamics, we assume perfectly responsive drives and take directly the wound/unwound cable length.
When needing also cable velocities$\dotcablen$ or accelerations~$\ddotcablen$, we may obtain these using a homologous model in form of a second-order \PT[2], a valid approximation as shown by~\textcite{Kraus.2013b}.
